#include "AMDiS.hpp"

// AMDiS includes
#include <amdis/Initfile.hpp>
#include <amdis/Output.hpp>

namespace AMDiS
{
  Dune::MPIHelper& init(int& argc, char**& argv, std::string const& initFileName)
  {
    // Maybe initialize MPI
    static Dune::MPIHelper& mpiHelper = Dune::MPIHelper::instance(argc, argv);

    Parameters::clearData();

    if (initFileName.empty() && argc > 1) {
      Parameters::init(argv[1]);
    } else if (!initFileName.empty()) {
      Parameters::init(initFileName);
    } else {
      warning("No initfile specified. Using default values for all parameters.");
    }

    return mpiHelper;
  }


  void finalize()
  {}

} // end namespace AMDiS
